# zf-tools

## 用途

> 常用函数基本库，主要用来协调各系统反复写相同库的问题，并且还有可能造成错误

## 使用方式

- npm 包方式，支持 esm，umd 等方式，支持按需引入

  > npm i zf-front-tools --save

- 直接引入的方式
  > 在 dist 目录下找到 index.umd.js 直接使用即可

## 目前支持功能（持续更新），更详细的请参见生成的文档

|     函数名      |             作用             |  分类  |
| :-------------: | :--------------------------: | :----: |
| getAllUrlParams |    获取 url 上所有的参数     |  url   |
|  getUrlParams   |    获取 url 上指定的参数     |  url   |
|   moneyFormat   |        格式化金额数据        | format |
|  cardNoFormat   |        格式化银行卡号        | format |
| mobileNoFormat  |         格式化手机号         | format |
|    floatAdd     | 浮点数加法，避免 js 精度问题 |  math  |
|    floatSub     | 浮点数减法，避免 js 精度问题 |  math  |

## 函数书写规则

> 注释大体遵循 typeDoc 语法规则，我们主要使用以几个

|   前缀    |            作用            |
| :-------: | :------------------------: |
| @category |            分类            |
|  @param   |      入参，可以写多个      |
| @returns  |          函数返回          |
|  @author  |            作者            |
|   @date   |          创建时间          |
|  @modify  |      最近一次修改时间      |
| @private  | 私家函数，不会在文档中体现 |
