/**
 *
 * 根据key获取url中的参数，默认从search取,也支持从整个url中获取
 * @category  url
 * @param {string} [url=window.location.href]
 * @param {string} key
 * @returns {string}
 * @author hzxiongxu
 * @date 20210520
 *
 */
function getUrlParams(key, url) {
    if (url === void 0) { url = window.location.href; }
    var reg = new RegExp("(^|&|\\?|#)" + key + "=([^&]*)(&|$|\\?|#)", 'i');
    var r = url.substr(1).match(reg);
    if (r != null) {
        return decodeURI(r[2]);
    }
    return '';
}
/**
 *
 * 获取url所有参数
 * @category  url
 * @param {string} [url=window.location.href]
 * @return {*}  {Record<string, any>}
 * @author hzxiongxu
 * @date 20210520
 */
function getAllUrlParams(url) {
    if (url === void 0) { url = window.location.href; }
    var query = [];
    var params = {};
    if (url.indexOf('?') === -1) {
        query = url.split('&');
    }
    else {
        query = url.split('?')[1].split('&');
    }
    query.forEach(function (item) {
        var q = item.split('=');
        if (q.length === 2) {
            params[q[0]] = q[1];
        }
    });
    return params;
}

export { getAllUrlParams, getUrlParams };
